Get Books times out connecting to Kobo

Bug #1952142 reported by Betty
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Fix Released
Undecided
Unassigned

Bug Description

I wanted to buy a book from kobo and thought I'd buy it through calibre to give the devs a few cents. I confirmed the book existed, (https://www.kobo.com/ca/en/ebook/a-desolation-called-peace) and searched using the title and got other sites (google, etc.) but no kobo. I deselected all sites except kobo and got "Couldn't find any books matching your query."

I restarted with debug and got

<code>raceback (most recent call last):
  File "mechanize/_urllib2_fork.py", line 1238, in do_open
  File "http/client.py", line 1347, in getresponse
  File "http/client.py", line 307, in begin
  File "http/client.py", line 268, in _read_status
  File "socket.py", line 669, in readinto
  File "ssl.py", line 1241, in recv_into
  File "ssl.py", line 1099, in read
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre/gui2/store/search/download_thread.py", line 120, in run
  File "calibre/gui2/store/stores/kobo_plugin.py", line 113, in search
  File "calibre/gui2/store/stores/kobo_plugin.py", line 33, in search_kobo
  File "mechanize/_mechanize.py", line 257, in open
  File "mechanize/_mechanize.py", line 287, in _mech_open
  File "mechanize/_opener.py", line 204, in open
  File "mechanize/_urllib2_fork.py", line 535, in http_response
  File "mechanize/_opener.py", line 222, in error
  File "mechanize/_urllib2_fork.py", line 414, in _call_chain
  File "mechanize/_urllib2_fork.py", line 655, in http_error_302
  File "mechanize/_mechanize.py", line 257, in open
  File "mechanize/_mechanize.py", line 287, in _mech_open
  File "mechanize/_opener.py", line 193, in open
  File "mechanize/_urllib2_fork.py", line 425, in _open
  File "mechanize/_urllib2_fork.py", line 414, in _call_chain
  File "calibre/utils/browser.py", line 29, in https_open
  File "mechanize/_urllib2_fork.py", line 1240, in do_open
urllib.error.URLError: <urlopen error The read operation timed out></code>

Possibly related to this issue: https://www.mobileread.com/forums/showthread.php?p=4161504#post4161504

I am using Calibre 5.32 on Linux

Revision history for this message
Kovid Goyal (kovid) wrote : Fixed in master

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers